-- \/ \/ \/ \/ \/ \/ \/ \/ \/ \/ \/ \/ \/ \/ \/ \/ \/ \/ \/ \/ \/ \/ \/ \/ \/
--[[-------------------------------------------------------------------------
	ПРЕДМЕТЫ ДОБАВЛЯЮТСЯ В sh_additems.lua
---------------------------------------------------------------------------]]
-- /\ /\ /\ /\ /\ /\ /\ /\ /\ /\ /\ /\ /\ /\ /\ /\ /\ /\ /\ /\ /\ /\ /\ /\ /\


--[[-------------------------------------------------------------------------
	Настройки валюты
---------------------------------------------------------------------------]]
IGS.C.CURRENCY_SIGN = "RUB"

-- Множественные названия валюты.
-- Пример 1: Доллар, Доллара, Долларов
-- Пример 2: Поинт,  Поинта,  Поинтов
IGS.C.CurrencyPlurals = {
	"рубль",  -- 1 алкобакс
	"рубля", -- 3 алкобакса
	"рублей" -- 5 алкобаксов
}


--[[-------------------------------------------------------------------------
	Настройки активации интерфейса
---------------------------------------------------------------------------]]
-- На какую кнопку будет открываться донат менюшка
-- https://wiki.facepunch.com/gmod/Enums/KEY
IGS.C.MENUBUTTON = KEY_F9


-- /команда для открытия донат менюшки
IGS.C.COMMANDS = {
	["donate"] = true,
	["донат"]  = true,
}


--[[-------------------------------------------------------------------------
	Донат инвентарь
---------------------------------------------------------------------------]]
-- Если отключить, вкладка инвентаря исчезнет, а предметы при покупке сразу будут активироваться
-- Станут недоступны некоторые методы, вроде :SetItems(, так как используют инвентарь
IGS.C.Inv_Enabled = true

-- Разрешить выбрасывать предметы с инвентаря на пол
-- Это позволит игрокам покупать донат подарки для друзей или вам делать донат раздачи
IGS.C.Inv_AllowDrop = true



if SERVER then return end -- не смотрите так на меня :)


-- Показывать ли уведомление о новых предметах в донат меню
-- Выглядит вот так https://img.qweqwe.ovh/1526574184864.png
IGS.C.NotifyAboutNewItems = true


-- Эта иконка будет отображена для предмета, если для него не будет установлена кастомная через :SetIcon()
-- Отображается вот тут: https://img.qweqwe.ovh/1494088609445.png
-- Хостинг картинок: https://t.me/cfr2bot
IGS.C.DefaultIcon = "https://file.def.pm/42Hr9k9U.jpeg"




-- Уберите "--" с начала строки, чтобы отключить появление определенного фрейма
IGS.C.DisabledFrames = {
	-- ["faq_and_help"] = true, -- Чат бот (страница помощи)
	-- ["profile"]      = true, -- Страница профиля игрока (с транзакциями)
	-- ["purchases"]    = true, -- Активные покупки
}

-- показывать супер-админам все модули на клиенте тоже
if CLIENT then
    local plyMeta = FindMetaTable("Player")
    if plyMeta and not plyMeta._IGS_HasPurchase_Orig_CL then
        plyMeta._IGS_HasPurchase_Orig_CL = plyMeta.HasPurchase
        function plyMeta:HasPurchase(uid, ...)
            if self:IsSuperAdmin() then
                return true
            end
            if plyMeta._IGS_HasPurchase_Orig_CL then
                return plyMeta._IGS_HasPurchase_Orig_CL(self, uid, ...)
            end
            return false
        end
    end
end


-- Оставьте так, если не уверены
-- Инфо: https://vk.cc/6xaFOe
IGS.C.DATE_FORMAT = "%d.%m.%y %H:%M:%S"
IGS.C.DATE_FORMAT_SHORT = "%d.%m.%y"

hook.Add("IGS.Initialized", "IGS.ColorsLoad", function()
	IGS.S.COLORS.FRAME_HEADER        = Color(0, 0, 0)
	IGS.S.COLORS.ACTIVITY_BG         = Color(0, 0, 0, 253)
	IGS.S.COLORS.TAB_BAR             = Color(0, 0, 0)
	
	IGS.S.COLORS.PASSIVE_SELECTIONS  = Color(0, 0, 0)
	IGS.S.COLORS.INNER_SELECTIONS    = Color(0, 0, 0)
	
	IGS.S.COLORS.SOFT_LINE           = Color(0, 67, 28)
	IGS.S.COLORS.HARD_LINE           = Color(0, 67, 28)
	
	IGS.S.COLORS.HIGHLIGHTING        = Color(0, 67, 28)
	IGS.S.COLORS.HIGHLIGHT_INACTIVE  = Color(0, 67, 28)
	
	IGS.S.COLORS.TEXT_HARD           = Color(255,255,255)
	IGS.S.COLORS.TEXT_SOFT           = Color(255,255,255)
	IGS.S.COLORS.TEXT_ON_HIGHLIGHT   = Color(255,255,255)
	
	IGS.S.COLORS.LOG_SUCCESS         = Color(76,217,100)
	IGS.S.COLORS.LOG_ERROR           = Color(255,45,85)
	IGS.S.COLORS.LOG_NORMAL          = Color(255,255,255)
	
	IGS.S.COLORS.ICON                = Color(255,255,255)
end)
